<div class="container text-left h-100">
  <div class="row mb-3 auth-wrapper mx-auto h-100">
    <div class="col-12 align-self-center">
      <h4 class="text-primary">
        {{ didNotArrive ? 'Email nije stigao?' : 'Još jedan korak!' }}
      </h4>
      <ng-container *ngTemplateOutlet="description"></ng-container>
      <hr />
      <ng-container *ngIf="!didNotArrive; else emailDidNotArrive">
        <app-button
          [classList]="'btn-outline-primary btn-block mt-2'"
          [value]="'Email nije stigao?'"
          (clicked)="didNotArrive = true"
        ></app-button>
      </ng-container>
    </div>
  </div>
</div>

<ng-template #description>
  <p class="my-4">
    {{
      didNotArrive
        ? 'Provjeri spam i neželjenu poštu ili klikni ispod da ti ponovo pošaljemo email:'
        : 'Provjeri svoj email inbox i klikni na link koji smo ti poslali. Tako ćeš aktivirati svoj račun.'
    }}
  </p>
</ng-template>

<ng-template #emailDidNotArrive>
  <app-button
    [faIcon]="faSync"
    [classList]="'btn-secondary btn-block mt-2'"
    [value]="
      secondsLeftToResend > 0
        ? secondsLeftToResend.toString()
        : 'Zatraži verifikacijski email'
    "
    [disabled]="secondsLeftToResend > 0"
    (clicked)="resend()"
  ></app-button>
</ng-template>
